Bug 1009996 - Review Request: jetring - GPG keyring maintenance using changesets
Review Request: jetring - GPG keyring maintenance using changesets
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1009997
  Show dependency treegraph
 
Reported: 2013-09-19 12:36 EDT by Sandro Mani
Modified: 2013-10-03 22:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: jetring-0.20-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 21:53:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2013-09-19 12:36:35 EDT
Spec URL: http://smani.fedorapeople.org/review/jetring.spec
SRPM URL: http://smani.fedorapeople.org/review/jetring-0.20-1.fc21.src.rpm
Description: GPG keyring maintenance using changesets
Fedora Account System Username: smani
Comment 1 Christopher Meng 2013-09-21 23:47:55 EDT
1. Its homepage is http://joeyh.name/code/jetring/

Although hasn't been updated for 6 years, you still need to use it.

2. 
Requires
--------
jetring (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    gnupg
    perl(Cwd)
    perl(File::Temp)
    perl(Getopt::Long)
    perl(strict)
    perl(warnings)

Seems it needs perl modules, you forgot to require them.

3. jetring.src: W: strange-permission jetring_0.20.tar.gz 0600L

Ah, I think this can be ignored. But if you want, please report upstream.

4. [!]: Uses parallel make %{?_smp_mflags} macro.

Ah, why not?

5. 
jetring.noarch: W: no-manual-page-for-binary jetring-checksum
jetring.noarch: W: no-manual-page-for-binary jetring-review
jetring.noarch: W: no-manual-page-for-binary jetring-gen
jetring.noarch: W: no-manual-page-for-binary jetring-signindex
jetring.noarch: W: no-manual-page-for-binary jetring-accept
jetring.noarch: W: no-manual-page-for-binary jetring-diff
jetring.noarch: W: no-manual-page-for-binary jetring-build
jetring.noarch: W: no-manual-page-for-binary jetring-explode
jetring.noarch: W: no-manual-page-for-binary jetring-apply

Well, I can find many manpages in the tarball, please install them also.
Comment 2 Ralf Corsepius 2013-09-22 01:42:48 EDT
(In reply to Christopher Meng from comment #1)

>     perl(Cwd)
>     perl(File::Temp)
>     perl(Getopt::Long)
>     perl(strict)
>     perl(warnings)
> 
> Seems it needs perl modules, you forgot to require them.
Not quite. These should be added to "BuildRequires:"
Comment 3 Sandro Mani 2013-09-22 12:13:01 EDT
Spec URL: http://smani.fedorapeople.org/review/jetring.spec
SRPM URL: http://smani.fedorapeople.org/review/jetring-0.20-2.fc21.src.rpm

* Sun Sep 22 2013 Sandro Mani <manisandro@gmail.com> - 0.20-2
- Add missing BR
- Use smp_mflags
- Use correct homepage
Comment 4 Christopher Meng 2013-09-23 10:43:42 EDT
I can't see manpages installed, can you confirm?
Comment 5 Sandro Mani 2013-09-23 13:27:21 EDT
Sorry, forgot...

Spec URL: http://smani.fedorapeople.org/review/jetring.spec
SRPM URL: http://smani.fedorapeople.org/review/jetring-0.20-3.fc21.src.rpm

* Mon Sep 23 2013 Sandro Mani <manisandro@gmail.com> - 0.20-3
- Add manpages
Comment 6 Christopher Meng 2013-09-23 19:20:23 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: jetring-0.20-3.fc20.noarch.rpm
          jetring-0.20-3.fc20.src.rpm
jetring.noarch: W: spelling-error Summary(en_US) keyring -> keying, key ring, key-ring
jetring.noarch: W: spelling-error Summary(en_US) changesets -> change sets, change-sets, changeless
jetring.noarch: W: spelling-error %description -l en_US gpg -> pg, gig, gag
jetring.noarch: W: spelling-error %description -l en_US keyrings -> key rings, key-rings, syringes
jetring.noarch: W: spelling-error %description -l en_US changesets -> change sets, change-sets, changeless
jetring.noarch: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
jetring.src: W: spelling-error Summary(en_US) keyring -> keying, key ring, key-ring
jetring.src: W: spelling-error Summary(en_US) changesets -> change sets, change-sets, changeless

*********************
jetring.src: W: spelling-error %description -l en_US gpg -> pg, gig, gag

It would be better to replace it by "GPG"
*********************
jetring.src: W: spelling-error %description -l en_US keyrings -> key rings, key-rings, syringes
jetring.src: W: spelling-error %description -l en_US changesets -> change sets, change-sets, changeless
jetring.src: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring
jetring.src: W: strange-permission jetring_0.20.tar.gz 0600L
2 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jetring
jetring.noarch: W: spelling-error Summary(en_US) keyring -> keying, key ring, key-ring
jetring.noarch: W: spelling-error Summary(en_US) changesets -> change sets, change-sets, changeless
jetring.noarch: W: spelling-error %description -l en_US gpg -> pg, gig, gag
jetring.noarch: W: spelling-error %description -l en_US keyrings -> key rings, key-rings, syringes
jetring.noarch: W: spelling-error %description -l en_US changesets -> change sets, change-sets, changeless
jetring.noarch: W: spelling-error %description -l en_US keyring -> keying, key ring, key-ring

************************
jetring.noarch: W: no-manual-page-for-binary jetring-checksum
jetring.noarch: W: no-manual-page-for-binary jetring-review
jetring.noarch: W: no-manual-page-for-binary jetring-gen
jetring.noarch: W: no-manual-page-for-binary jetring-signindex
jetring.noarch: W: no-manual-page-for-binary jetring-accept
jetring.noarch: W: no-manual-page-for-binary jetring-diff
jetring.noarch: W: no-manual-page-for-binary jetring-build
jetring.noarch: W: no-manual-page-for-binary jetring-explode
jetring.noarch: W: no-manual-page-for-binary jetring-apply

Dont know why it still said this. Should be ignored.
************************
1 packages and 0 specfiles checked; 0 errors, 15 warnings.
# echo 'rpmlint-done:'



Requires
--------
jetring (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    gnupg
    perl(Cwd)
    perl(File::Temp)
    perl(Getopt::Long)
    perl(strict)
    perl(warnings)



Provides
--------
jetring:
    jetring



Source checksums
----------------
http://ftp.debian.org/debian/pool/main/j/jetring/jetring_0.20.tar.gz :
  CHECKSUM(SHA256) this package     : 7d824781ab9dbf139cfbb93bbe6541b3a5d4b42a1fe48bee0d73fdc684ef0a4e
  CHECKSUM(SHA256) upstream package : 7d824781ab9dbf139cfbb93bbe6541b3a5d4b42a1fe48bee0d73fdc684ef0a4e


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -rvn jetring-0.20-3.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


----------------

PACKAGE APPROVED.
Comment 7 Sandro Mani 2013-09-24 05:20:00 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: jetring
Short Description: GPG keyring maintenance using changesets
Owners: smani
Branches: f19 f20
InitialCC:
Comment 8 Gwyn Ciesla 2013-09-24 08:22:05 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-09-25 03:24:02 EDT
jetring-0.20-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jetring-0.20-3.fc20
Comment 10 Fedora Update System 2013-09-25 03:24:47 EDT
jetring-0.20-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jetring-0.20-3.fc19
Comment 11 Fedora Update System 2013-09-26 02:02:47 EDT
jetring-0.20-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Fedora Update System 2013-10-03 21:53:30 EDT
jetring-0.20-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 13 Fedora Update System 2013-10-03 22:03:00 EDT
jetring-0.20-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.